/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.adexchangebuyer.model;

import com.google.api.client.json.GenericJson;

/**
 * The configuration data for an Ad Exchange performance report list.
 * https://sites.google.com/a/google.com/adx-integration/Home/engineering/binary-releases/rtb-api-
 * release https://cs.corp.google.com/#piperdepot/google3/contentads/adx/tools/rtb_api/adxrtb.py
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Ad Exchange Buyer API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PerformanceReportList extends GenericJson {

  /**
   * Resource type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * A list of performance reports relevant for the account.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("performance_report")
  private java.util.List<PerformanceReport> performanceReport;

  static {
    // hack to force ProGuard to consider PerformanceReport used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(PerformanceReport.class);
  }

  /**
   * Resource type.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Resource type.
   * The value set may be {@code null}.
   */
  public PerformanceReportList setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * A list of performance reports relevant for the account.
   * The value returned may be {@code null}.
   */
  public java.util.List<PerformanceReport> getPerformanceReport() {
    return performanceReport;
  }

  /**
   * A list of performance reports relevant for the account.
   * The value set may be {@code null}.
   */
  public PerformanceReportList setPerformanceReport(java.util.List<PerformanceReport> performanceReport) {
    this.performanceReport = performanceReport;
    return this;
  }

}
